Subject: Re: Git.pm

From: Jonathan Nieder <[email-masked]>
Date: Thu, 26 Apr 2012 15:31:36 -0500

Hi,

Subho Banerjee wrote:

> I will take care that I dont break those. 

Thanks, sounds good.

>                                           Should the tests in the t/
> folder of the codebase be enough to make sure everything is working as
> it should be even in the Git perl module?

No. :)

>                                           Also is there anything like
> a public build server which actually catalogs which tests are
> currently failing so that I know what has gone wrong after my changes,
> or are all commits supposed to pass every test?

When tests are known to fail, they are marked with test_expect_failure
so they don't affect the test result.

Hope that helps,
Jonathan